## singleapplication 3.1.4

=== debian/changelog ===
singleapplication (3.1.4-2) unstable; urgency=medium

  * Source-only upload for testing migration. 
  * debian/control: Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jul 2020 11:08:02 -0400

singleapplication (3.1.4-1) unstable; urgency=medium

  [ Guobang Bi ]
  * New upstream version 3.1.4

 -- Guobang Bi <ymshenyu@gmail.com>  Wed, 15 Jul 2020 13:30:18 +0800

singleapplication (3.1.3.1-2) unstable; urgency=medium

  [ Guobang Bi ]
  * fix upstream-metadata-missing-bug-tracking lintian warning
  * fix executable-not-elf-or-script lintian warning
  * New upstream version 3.1.4

 -- Guobang Bi <ymshenyu@gmail.com>  Wed, 15 Jul 2020 13:22:51 +0800

singleapplication (3.1.3.1-1) unstable; urgency=medium

  * Initial release

 -- Guobang Bi <ymshenyu@gmail.com>  Tue, 02 Jun 2020 15:34:06 +0800
