=== debian/control ===
Source: singleapplication
Priority: optional
Maintainer: Guobang Bi <ymshenyu@gmail.com>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.7.0~),
 debhelper-compat (= 13),
 qtbase5-dev,
Standards-Version: 4.5.0
Section: libs
Rules-Requires-Root: no
Homepage: https://github.com/itay-grudev/SingleApplication
Vcs-Git: https://salsa.debian.org/debian/singleapplication.git
Vcs-Browser: https://salsa.debian.org/debian/singleapplication

Package: libsingleapplication-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Description: Replacement of QtSingleApplication for Qt5
 Project SingleApplication is a replacement of QtSingleApplication
 for Qt5. It helps to keep the primary instance of your application
 and kill each subsequent instances. If enabled, it can also spawn
 secondary (non-related to the primary) instances and send data to
 the primary instance from secondary instances.
