## singleapplication 3.2.0

=== debian/changelog ===
singleapplication (3.2.0-2) unstable; urgency=medium

  * debian/libsingleapplication-dev.install: Correct install dir
    to fix FTBFS on i386. Thanks to Pino Toscano!

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Feb 2021 10:15:24 -0500

singleapplication (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jan 2021 21:59:11 -0500
