=== debian/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Source: singleapplication
+Section: libs
 Priority: optional
 Maintainer: Guobang Bi <ymshenyu@gmail.com>
 Uploaders:
@@ -7,8 +8,7 @@
  cmake (>= 3.7.0~),
  debhelper-compat (= 13),
  qtbase5-dev,
-Standards-Version: 4.5.0
-Section: libs
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/itay-grudev/SingleApplication
 Vcs-Git: https://salsa.debian.org/debian/singleapplication.git
