## singleapplication 3.3.2

=== debian/changelog ===
singleapplication (3.3.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Boyuan Yang ]
  * New upstream release 3.3.2.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Nov 2021 18:39:59 -0500

singleapplication (3.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Sep 2021 20:50:33 -0400

singleapplication (3.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 12:31:39 -0400
