=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake (>= 3.7.0~),
  debhelper-compat (= 13),
  qtbase5-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/itay-grudev/SingleApplication
 Vcs-Git: https://salsa.debian.org/debian/singleapplication.git
