=== debian/changelog ===
singleapplication (3.3.4-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.2, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Feb 2024 13:37:32 -0500

singleapplication (3.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add missing build-dependency dh-exec.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Apr 2022 13:06:25 -0400
