=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: singleapplication
 Section: libs
 Priority: optional
-Maintainer: Guobang Bi <ymshenyu@gmail.com>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- cmake (>= 3.7.0~),
+ cmake,
  debhelper-compat (= 13),
+ dh-exec,
  qtbase5-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/itay-grudev/SingleApplication
 Vcs-Git: https://salsa.debian.org/debian/singleapplication.git
