=== debian/changelog ===
singleapplication (3.5.4+ds-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #1050520)
  * debian/copyright: Update information and exclude examples/ directory.
  * debian/examples: Dropped.
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/control: Move package description to source package section.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Oct 2025 11:01:34 -0400
