=== debian/control ===
Source: singleapplication
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-exec,
 qtbase5-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/itay-grudev/SingleApplication
Vcs-Git: https://salsa.debian.org/debian/singleapplication.git
Vcs-Browser: https://salsa.debian.org/debian/singleapplication
Description: Replacement of QtSingleApplication for Qt5
 Project SingleApplication is a replacement of QtSingleApplication
 for Qt5. It helps to keep the primary instance of your application
 and kill each subsequent instances. If enabled, it can also spawn
 secondary (non-related to the primary) instances and send data to
 the primary instance from secondary instances.

Package: libsingleapplication-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
