=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%singleapplication-$1.tar.gz%" \
   https://github.com/itay-grudev/SingleApplication/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
